Bug 861081 - Base DB loading error after an upgrade when the the base DB has not been loaded into the old version
Base DB loading error after an upgrade when the the base DB has not been load...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: wallaby (Show other bugs)
Development
Unspecified Unspecified
unspecified Severity unspecified
: 2.2.1
: ---
Assigned To: Will Benton
Luigi Toscano
:
Depends On:
Blocks: 749583 863455
  Show dependency treegraph
 
Reported: 2012-09-27 09:21 EDT by Luigi Toscano
Modified: 2012-12-07 12:44 EST (History)
4 users (show)

See Also:
Fixed In Version: wallaby-0.16.0-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luigi Toscano 2012-09-27 09:21:48 EDT
Description of problem:
When a wallaby instance where the default base db has not been loaded is upgraded, and the user try to load the default base db, the operation is not successful and the following error is printed:
-----
# wallaby load /var/lib/condor-wallaby-base-db/condor-base-db.snapshot 
Console Connection Established...
Finding special group '+++DEFAULT'
fatal:  ERROR: no such column: annotation
-----

Reproduced on RHEL5.8/6.3, i386/x86_64.

Version-Release number of selected component:
wallaby-utils-0.16.0-5
ruby-wallaby-0.16.0-5
wallaby-0.16.0-5
condor-wallaby-base-db-1.23-1


Steps to Reproduce:
1. on a clean system install wallaby and wallaby-utils stable (0.12.5-10), start it, do not change anything
2. update the wallaby packages to the aforementioned version (even restarting qpidd)
3. install the stable version of the condor-wallaby-base-db package
4. wallaby load /var/lib/condor-wallaby-base-db/condor-base-db.snapshot
  
Actual results:
The aforementioned error.

Expected results:
Successful load.
Comment 3 Luigi Toscano 2012-10-12 09:38:16 EDT
wallaby load is now successfully executed.

Verified on RHEL5.8/6.3, i386/x86_64.

ruby-wallaby     0.16.0-9
wallaby          0.16.0-9
wallaby-utils    0.16.0-9
condor-wallaby-base-db   1.23-1

Note You need to log in before you can comment on or make changes to this bug.